Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# DB3.

## Files
file | db3.c
file | rpmdb.h
| Access RPM indices using Berkeley DB interface(s).

## Functions
dbiIndex | db3New (rpmdb rpmdb, int rpmtag)
dbiIndex | db3Free (dbiIndex dbi)
const char *const | prDbiOpenFlags (int dbflags, int print_dbenv_flags)
## Variables
_dbiVec | db3vec

## Function Documentation

dbiIndex db3Free | ( | dbiIndex | dbi | ) |

  | Destroy index database handle instance. Parameters:
  | dbi | index database handle
Returns: NULL always Referenced by db1close(), db3close(), and dbiOpen().

dbiIndex db3New | ( | rpmdb | rpmdb,
|  | int | rpmtag
| ) |

  | Return new configured index database handle instance. Parameters:
  | rpmdb | rpm database
Referenced by db1open(), and db3open().

const char* const prDbiOpenFlags | ( | int | dbflags,
|  | int | print_dbenv_flags
| ) |

  | Format db3 open flags for debugging print. Parameters:
  | dbflags | db open flags
  | print_dbenv_flags | format db env flags instead?
Returns: formatted flags (static buffer) Referenced by db3open(), and db_init().

## Variable Documentation

struct _dbiVec db3vec

| Initial value:
     {
        DB_VERSION_MAJOR, DB_VERSION_MINOR, DB_VERSION_PATCH,
        db3open, db3close, db3sync, db3copen, db3cclose, db3cdel, db3cget, db3cput,
        db3ccount, db3byteswapped, db3stat
    }
Definition at line 1261 of file db3.c. Referenced by db3open().